import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.*;

/* Java >1.5 wird benötigt, da erst ab dieser Version eine DOM-Implementierung
 * (Package javax.xml.parsers) mitgeliefert wird.  (Java SE reicht aus.)
 * */

public class Xhtml2csv {	
	// Main-Methode bitte nicht ändern!
	public static void main(String[] args) {
		String xmlFile = "example1.xhtml";
		if(args.length > 0) {
			xmlFile = args[0];
		}
		
		Document document = null;
		try {
		    DocumentBuilderFactory factory = 
		    DocumentBuilderFactory.newInstance();
	        DocumentBuilder builder = factory.newDocumentBuilder();
	        document = builder.parse(xmlFile);
		}
		catch(Exception e) {
			e.printStackTrace();
			System.exit(1);
		}
		
		xhtml2csv(document);		
	}
	
	public static void xhtml2csv(Document document) {
		// Eigener Code für Lösung hier hin :)
	}
		
	// Platz für zusätzliche Hilfsmethoden
}
